%{?nodejs_find_provides_and_requires}
%global srcname aws-sign2
%global owner request
Name:                nodejs-%{srcname}
Version:             0.6.0
Release:             1
Summary:             Node.js module for AWS signing
License:             ASL 2.0
URL:                 https://github.com/request/aws-sign
Source0:             https://registry.npmjs.org/aws-sign2/-/aws-sign2-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 0.6.0-1
- Package init
